package jp.kiroru_inc.samples.sample1;

import android.app.ListActivity;
import android.database.Cursor;
import android.os.Bundle;
import android.provider.ContactsContract.CommonDataKinds.Phone;
import android.widget.SimpleCursorAdapter;

/*
 * 最初のサンプルプログラム
 */

public class MainActivity extends ListActivity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        Cursor c = managedQuery(Phone.CONTENT_URI, null, null, null, null);
        
        SimpleCursorAdapter adapter = new SimpleCursorAdapter(
                this,
                android.R.layout.simple_list_item_2,
                c,
                new String[] {
                    Phone.DISPLAY_NAME,
                    Phone.NUMBER,
                },
                new int[] {
                    android.R.id.text1,
                    android.R.id.text2,
                });
        
        setListAdapter(adapter);
    }
}